%define oname time_now

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 2
Summary:        Reports the current time
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/time_now
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-jane-street-headers-devel >= 0.17
BuildRequires:  ocaml-jst-config-devel >= 0.17
BuildRequires:  ocaml-ppx_base-devel >= 0.17
BuildRequires:  ocaml-ppx_optcomp-devel >= 0.17

%description
This package provides a single OCaml function to report the current time
in nanoseconds since the start of the Unix epoch.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-jane-street-headers-devel
Requires:       ocaml-jst-config-devel%{?_isa}
Requires:       ocaml-ppx_base-devel%{?_isa}
Requires:       ocaml-ppx_optcomp-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE.md

%files devel -f .ofiles-devel


%changelog
* Thu Jun 19 2025 daviddavid <daviddavid> 1:0.17.0-2.mga10
+ Revision: 2192983
- fix dependencies

* Thu Jun 19 2025 daviddavid <daviddavid> 1:0.17.0-1.mga10
+ Revision: 2192884
- new version: 0.17.0

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.0-3.mga9
+ Revision: 1895942
- Rebuild for new ocaml-base and ocaml-ppxlib

* Fri May 20 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859349
- Rebuild for OCaml 4.14

* Tue May 17 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1858550
- Update to 0.15.0

* Wed Oct 13 2021 tv <tv> 1:0.14.0-3.mga9
+ Revision: 1751308
- Rebuild for ocaml 4.13.1

* Mon Mar 22 2021 tv <tv> 1:0.14.0-2.mga9
+ Revision: 1707590
- Fix devel deps

* Mon Mar 22 2021 tv <tv> 1:0.14.0-1.mga9
+ Revision: 1707510
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670829
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1552042
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545194
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1484206
- add more runtime deps

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1484036
- imported package ocaml-time_now

